Information requests
List information requests, newest first
What Zuba has asked you, or the sub-account Zuba-Account-Id names, each with its questions and your answers so far. A request does not change your application or your ability to make payments.
GET
/
v1
/
information-requests
List information requests, newest first
curl --request GET \
--url https://api.example.com/v1/information-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/information-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/information-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/information-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/information-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/information-requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/information-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"answeredAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"answer": "<string>",
"answered": true,
"answeredAt": "2023-11-07T05:31:56Z",
"document": {
"fileName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z"
},
"help": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "text",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"prompt": "<string>",
"required": true
}
],
"note": "<string>",
"resolution": "fulfilled",
"status": "open"
}
],
"hasMore": true,
"nextCursor": "<string>",
"object": "information_request.list"
}Authorizations
Enter Auth0 JWT token
Headers
Optional. Names an owned sub-account (UUID) to read and answer that sub-account’s requests. Omit for your master account’s own requests.
Query Parameters
Opaque cursor returned by the previous page
Number of items per page
Required range:
1 <= x <= 100Comma-separated statuses; every status when omitted
Available options:
open, answered, closed ⌘I
List information requests, newest first
curl --request GET \
--url https://api.example.com/v1/information-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/information-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/information-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/information-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/information-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/information-requests")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/information-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"answeredAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"answer": "<string>",
"answered": true,
"answeredAt": "2023-11-07T05:31:56Z",
"document": {
"fileName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mimeType": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z"
},
"help": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "text",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"prompt": "<string>",
"required": true
}
],
"note": "<string>",
"resolution": "fulfilled",
"status": "open"
}
],
"hasMore": true,
"nextCursor": "<string>",
"object": "information_request.list"
}